#include <bits/stdc++.h>

using namespace std;

int n;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin>>s;
    vector<int> v(s.size());
    int d=1;
    v[0]=d;
    for(int i=1; i<s.size(); i++){
        if(s[i]>=s[i-1])
            v[i]=d;
        else{
            d++;
            v[i]=d;
        }
    }
    int t;
    cin>>t;
    for(int i=0; i<t; i++){
        int l,r;
        cin>>l>>r;
        cout<<v[r-1]-v[l-1]+1<<endl;

    }
    return 0;
}
